<?php
namespace Claromentis\Core\Date;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array();
class DateFactory
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetDate($_67a0d624aebcceb0abd5ce56a53ff06f = null, \DateTimeZone $_9e83734deb9316586c45570f0138251c = null) : \Date
    {
        return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f, $_9e83734deb9316586c45570f0138251c);
    }
    
    
    
    
    
    
    
    
    
    
    
    public function GetDateDay($_67a0d624aebcceb0abd5ce56a53ff06f = null) : \DateDay
    {
        return new \DateDay($_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    
    
    
    
    public function GetDateNoYear($_67a0d624aebcceb0abd5ce56a53ff06f = null) : \DateNoYear
    {
        return new \DateNoYear($_67a0d624aebcceb0abd5ce56a53ff06f);
    }
}